<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Class_Work#5</title>
    <link href="./JS_ClassWork5_style.css" rel="stylesheet" />
</head>



<body>
        
   
   <!-- <div class="grid">
                <div>item-1</div>
                <div>item-2</div>
                <div>item-3</div>
                <div>item-4</div>
                <div>item-5</div>
                <div>item-6</div>
                <div>item-7</div>
                <div>item-8</div>
                <div>item-9</div>
                <div>item-10</div>-->




    <script>
        var CryptoWallet = {
            Name: "User",
            Currency: {

                bitcoin: {
                    name: "Bitcoin",
                    logo: '<img class="Bitcoin_logo" src="./IMG/bitcoin_logo.jpg" title="bitcoin_logo" alt="bitcoin_logo">',
                    ammount: 10,
                    rate: function(){
                       return (this.ammount * 171691.44);
                    },
                    },

                ethereum: {
                    name: "Ethereum",
                    logo: '<img class="Etherum_logo" src="./IMG/ethereum_logo.jpg" title="ethereum_logo" alt="ethereum_logo">',
                    ammount: 25,
                    rate: function(){
                        return (this.ammount * 3526.81);
                    },
                    },
               
                stellar:  {
                    name: "Stellar",
                    logo: '<img class="Stellar_logo" src="./IMG/stellar_logo.jpg" title="stellar_logo" alt="stellar_logo">',
                    ammount: 475,
                    rate: function(){
                        return (this.ammount * 1.38);
                    },
                },
            },

            display: function() {
               var CryptoCur = prompt('Введите название Крипто-валюты');
               if (CryptoCur == CryptoWallet.Currency.bitcoin.name){
                document.write('<div class="grid">' + '<div>' + 'Добрый день' + ' ' + CryptoWallet.Name + '!' + '</div>' + '<div>' + CryptoWallet.Currency.bitcoin.logo + '</div>' + '</div>');
                document.write('<div class="grid">' + '<div>' + 'Добрый день' + ' ' + CryptoWallet.Name + '!' + '</div>' + '<div>' + CryptoWallet.Currency.bitcoin.logo + '</div>' + '</div>');
                //return document.write(CryptoWallet.Currency.bitcoin.logo + '<br/>');
               } else if (CryptoCur == CryptoWallet.Currency.ethereum.name){
                return document.write(CryptoWallet.Currency.ethereum.logo + '<br/>');
               } else if (CryptoCur == CryptoWallet.Currency.stellar.name){
                return document.write(CryptoWallet.Currency.stellar.logo + '<br/>');
               } else if (CryptoCur == undefined){
                return document.write('Отменено пользователем' + '<br/>');
               } else {
                return document.write('Ошибка неизвестный тип Крипто-валюты' + '<br/>');
               }
            }
            
        }

        document.write(CryptoWallet.Currency.bitcoin.rate() + '<br/>');
        document.write(CryptoWallet.Currency.ethereum.rate() + '<br/>');
        document.write(CryptoWallet.Currency.stellar.rate() + '<br/>');
        //document.write(CryptoWallet.Currency.bitcoin.logo + '<br/>');
        //document.write(CryptoWallet.Currency.ethereum.logo + '<br/>');
        //document.write(CryptoWallet.Currency.stellar.logo + '<br/>');
        document.write(CryptoWallet.display() + '<br/>');

        
       

        

    </script>
</body>
</html>